@charset "utf-8";

/* Animations */
@keyframes fadeInDown {
    from {
        opacity: 0;
        transform: translateY(-30px);
    }
    to {
        opacity: 1;
    }
}

@keyframes fadeInDownBanner {
    from {
        opacity: 0;
        top: 0;
        left: 50%;
        transform: translateX(-50%);
    }
    to {
        opacity: 1;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }
}

@keyframes fadeIn {
    from { 
      opacity: 0;
    }
    to { 
      opacity: 1;
    }
  }

/* Header */
.header-index {
    display: flex;
    flex-direction: column;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
}

.header-index video {
    position: relative;
    width: 100%;
    height: 100%;
    object-fit: cover !important;
    z-index: -1000;
}

.header-box {
    position: absolute;
    max-width: 65%;
    margin: auto 0;
    background-color: var(--color-tertiary-overlay);
    border-radius: var(--border-secondary-radius);
    border: 1px solid var(--color-primary-text);
    padding: var(--space-s) var(--space-xl);
    opacity: 0;
    animation: fadeInDownBanner 0.8s ease forwards;
    animation-delay: 0.6s;
    z-index: 1;
}

.header-box h2 {
    font-weight: bold;
    margin-bottom: var(--space-xxs);
}

.header-box p {
    margin-bottom: var(--space-xxs);
}

.header-box b {
    font-weight: bolder;
    font-size: var(--font-size-h5);
}

.header-box .container-fluid {
    flex-direction: row;
    padding: 0;
    margin: 0 0 var(--space-xxs) 0;
}
.header-box .btn-dark {
    display: none;
}

@media screen and (min-width: 1561px) {
    .header-box {
        max-width: 55%;
    }
}

@media screen and (max-width: 1199.98px) {

    
    .header-box .container-fluid {
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
    }

    .header-index {
        height: 100dvh;
        background-color: none !important;
    }

    .header-box .btn-dark {
        display: flex;
    }
    
}

@media screen and (max-width: 767.98px) {

    .header-index {
        height: 100dvh;
        background-color: none !important;
    }

    .header-box {
        width: 100%;
        max-width: 100%;
        padding: var(--space-s);
        height: 100dvh;
        background-color: var(--color-fifth-overlay);
        border-radius: 0;
        border: none;
        animation: none;
        opacity: 1;
    }

    .header-box .container-fluid {
        flex-direction: column;
        align-items: start;
    }

    .header-box h2 {
        font-size: var(--font-size-h3);
        margin-bottom: var(--space-m);
        animation: fadeIn 0.8s ease forwards;
        animation-delay: 0.5s;
        opacity: 0;
    }

    .header-box p {
        margin-bottom: var(--space-xs);
        animation: fadeIn 0.8s ease forwards;
        animation-delay: 0.5s;
        opacity: 0;
    }

    .header-box .btn-dark {
        animation: fadeIn 0.8s ease forwards;
        animation-delay: 0.5s;
        opacity: 0;
    }
}

/* Services & Technology */
.st-bg {
    padding: var(--space-s) 0 var(--space-m) 0;
    background-color: var(--color-secondary-bg);
}

.st-header {
    text-align: center;
    padding: 0 var(--space-s);
    margin-bottom: var(--space-s);
}

.st-header h2 {
    margin-bottom: var(--space-xxs);
}

.bento-st {
    width: 100%;
    height: 720px;
    gap: var(--space-s);
}

.row-upper, 
.row-lower {
    flex: 2 2 0;
    min-height: 0;
    border-radius: var(--border-secondary-radius);
    gap: var(--space-s);
}

.row-upper .col-left {
    flex: 2 2 0;
    min-height: 0;
    border-radius: var(--border-secondary-radius);
    box-shadow: var(--shadow-primary) var(--shadow-primary) var(--shadow-secondary) var(--color-shadows);
}

.row-upper .col-right {
    flex: 1 1 0;
    background: var(--color-primary-bg-gradient);
    border-radius: var(--border-secondary-radius);
    box-shadow: var(--shadow-primary) var(--shadow-primary) var(--shadow-secondary) var(--color-shadows);
}

.row-lower .col-left {
    flex: 1 1 0;
    min-height: 0;
    background: var(--color-primary-bg-gradient);
    border-radius: var(--border-secondary-radius);
    box-shadow: var(--shadow-primary) var(--shadow-primary) var(--shadow-secondary) var(--color-shadows);
}

.row-lower .col-right {
    flex: 2 2 0;
    min-height: 0;
    border-radius: var(--border-secondary-radius);
    box-shadow: var(--shadow-primary) var(--shadow-primary) var(--shadow-secondary) var(--color-shadows);
}

.col-left,
.col-right {
    box-sizing: border-box !important;
    overflow: hidden;
    transition: 0.3s ease-in-out;
}

.row-upper .col-right:hover,
.row-lower .col-left:hover {
    transform: scale(1.05);
    box-shadow: var(--shadow-secondary) var(--shadow-secondary) var(--shadow-tertiary) var(--color-shadows);
}

.col-left > picture > img,
.col-right > picture > img {
    object-fit: cover;
    width: 100%;
    height: 100%;
}

.st-content {
    padding: var(--space-xs);
}

.st-content > span {
    width: 100%;
    border: 1px solid var(--color-primary-text);
    margin: var(--space-xs) 0;
}

.st-content a {
    color: var(--color-primary-text);
}

.st-content a:hover {
    color: var(--color-primary);
}

@media screen and (max-width: 1199.98px) {
    .bento-st {
        height: 800px;
    }
    
}

@media screen and (max-width: 767.98px) {
    .bento-st {
        height: 1000px;
        padding: 0 var(--space-s);
    }

    .row-upper,
    .row-lower {
        flex-direction: column !important;
    }

    .row-lower {
        flex-direction: column-reverse !important;
    }

    .row-lower .col-left,
    .row-upper .col-right {
        flex: 3;
    }
}

/* Award Section */
.award-bg {
    position: relative;
    background-color: var(--color-tertiary-bg);
    padding: var(--space-s) 0 var(--space-m) 0;
}

.award-content {
    position: relative;
    width: 100%;
    height: 300px;
    z-index: 1;
}

.upper-bg::before {
    content: "";
    background-image: url("../images/quote-char.png");
    opacity: 30%;
    position: absolute;
    top: 0;
    left: 0;
    width: 300px;
    height: 100%;
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    z-index: -1;
}

.upper-award h4,
.upper-award p {
    margin: 0;
    padding-bottom: var(--space-s);
}

.stars-award {
    margin-bottom: var(--space-xs);
}

.stars-award .bi {
    margin-right: var(--space-xxs);
}

.lower-bg::after {
    content: "";
    background-image: url("../images/quote-char.png");
    transform: rotate(180deg);
    opacity: 30%;
    position: absolute;
    top: 0;
    right: 0;
    width: 300px;
    height: 100%;
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    z-index: -1;
}

.lower-award h6 {
    font-weight: bold;
    margin-bottom: var(--space-xxs);
}

.lower-award p {
    font-size: var(--font-size-small);
}

.lower-award span {
    height: 100%;
    border: 1px solid var(--color-primary-text);
    margin: 0 var(--space-s);
}

.lower-award img {
    width: 80px;
}

.lower-first {
    margin-right: var(--space-s);
}

@media screen and (max-width: 1199.98px) {

    .upper-bg::before {
        content: "";
        background-image: url("../images/quote-char.png");
        opacity: 30%;
        position: absolute;
        top: 0;
        left: 0;
        width: 250px;
        height: 100%;
        background-repeat: no-repeat;
        background-position: center;
        background-size: contain;
        z-index: -1;
    }

    .lower-bg::after {
        content: "";
        background-image: url("../images/quote-char.png");
        transform: rotate(180deg);
        opacity: 30%;
        position: absolute;
        top: 0;
        right: 0;
        width: 250px;
        height: 100%;
        background-repeat: no-repeat;
        background-position: center;
        background-size: contain;
    }    
}

@media screen and (max-width: 767.98px) {
    
    .award-content {
        height: 550px;
        padding: 0 var(--space-s);
    }

    .award-bg::before {
        content: "";
        background-image: url("../images/quote-char.png");
        opacity: 30%;
        position: absolute;
        top: 0;
        left: 0;
        width: 200px;
        height: 200px;
        background-repeat: no-repeat;
        background-position: center;
        background-size: contain;
        z-index: 1;
    }



    .upper-bg::before {
        display: none !important;
    }

    .lower-bg::after {
        display: none !important;
    }
    
    .lower-award {
        flex-direction: column !important;
    }

    .lower-award span {
        display: none;
    }

    .lower-first,
    .lower-second {
        flex-direction: column !important;
        align-items: end !important;
        margin-right: 0;
    }

    .lower-content-first,
    .lower-content-second {
        align-items: end !important;
        text-align: end;
    }

    .lower-content-first {
        margin-bottom: var(--space-xxs);
    }

    .lower-content-second {
        margin-top: var(--space-l);
        margin-bottom: var(--space-xxs);
    }
}

/* About Us Section */
.about-bg {
    position: relative;
    width: 100%;
    height: 100dvh;
    background-color: var(--color-secondary-overlay);
}

.about-bg > picture {
    position: absolute;
    /* transform: rotateY(180deg); */
    width: 100%;
    height: 100%;
    z-index: -1;
}

.about-bg > picture img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.about-content h2,
.about-content p {
    text-align: center;
    color: var(--color-secondary-text);
    margin-bottom: var(--space-s);
}

.about-content h2 {
    font-weight: bold;
}

.about-content p {
    max-width: 65%;
}

.about-content a {
    cursor: pointer;
}

@media screen and (max-width: 767.98px) {

    .about-bg {
        height: 700px;
    }
    
    .about-bg img {
        object-position: 40%;
    }

    .about-content {
        padding: 0 var(--space-xs);
    }

    .about-content p {
        max-width: 100% !important;
    }

}

/* Contact Us Section */
.contact-bg {
    padding: var(--space-s) 0 var(--space-m) 0;
    background-color: var(--color-secondary-bg);
}

.contact-header {
    text-align: center;
    padding-bottom: var(--space-xs);
}

.bento-contact {
    width: 100%;
    height: 720px;
    gap: var(--space-s);
}

.bento-contact .upper-row,
.bento-contact .lower-row {
    gap: var(--space-s);
    min-width: 0 !important;
    min-height: 0 !important;

}

.bento-contact .upper-row {
    flex: 8 8 0;
}

.bento-contact .lower-row {
    flex: 2 2 0;
}

.bento-contact .upper-col,
.bento-contact .lower-col {
    border-radius: var(--border-secondary-radius);
    box-shadow: var(--shadow-primary) var(--shadow-primary) var(--shadow-secondary) var(--color-shadows);
    overflow: hidden;
    
}

.bento-contact .lower-col:nth-of-type(2) {
    box-shadow: none !important;
}

.bento-contact .upper-col:nth-of-type(1),
.bento-contact .lower-col:nth-of-type(1) {
    flex: 7 7 0;
}

.bento-contact .upper-col:nth-of-type(1) {
    transition: 0.3s ease-in-out;
}

.bento-contact .upper-col:nth-of-type(1):hover {
    transform: scale(1.03);
    box-shadow: var(--shadow-secondary) var(--shadow-secondary) var(--shadow-tertiary) var(--color-shadows);
}


.bento-contact .upper-col:nth-of-type(2) {
    flex: 3 3 0;
}

.bento-contact .upper-col:nth-of-type(2) span {
    width: 100%;
    border: 1px solid var(--color-primary-text);
    margin: var(--space-xs) 0;
}

.bento-contact .upper-col:nth-of-type(2) p:nth-of-type(1) {
    margin-bottom: var(--space-xs);
}

.bento-contact .upper-col:nth-of-type(2) a {
    color: var(--color-primary-text);
}

.bento-contact .upper-col:nth-of-type(2) a:hover {
    color: var(--color-primary);
}

.bento-contact .upper-col:nth-of-type(2) {
    background: var(--color-primary-bg-gradient);
    transition: 0.3s ease-in-out;
}

.bento-contact .upper-col:nth-of-type(2):hover {
    transform: scale(1.05);
    box-shadow: var(--shadow-secondary) var(--shadow-tertiary) var(--shadow-tertiary) var(--color-shadows);
}

.bento-contact .upper-col:nth-of-type(2) .office-content {
    padding: var(--space-xs);
}

.bento-contact .lower-col:nth-of-type(2) {
    flex: 3 3 0;
    gap: var(--space-s);
    overflow: visible !important;
}

.bento-contact .lower-col:nth-of-type(1) img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: 50% 20%;
}

.bento-contact .lower-col-outer {
    flex: 1 1 0;
    gap: var(--space-s);
    overflow: visible !important;
}

.bento-contact .lower-col-inner:nth-of-type(2) {
    transition: 0.3s ease-in-out;
}

.bento-contact .lower-col-inner:nth-of-type(2):hover {
    transform: scale(1.05);
    box-shadow: var(--shadow-secondary) var(--shadow-tertiary) var(--shadow-tertiary) var(--color-shadows) !important;
}

.bento-contact .lower-col-inner:nth-of-type(1) {
    flex: 2 2 0;
    background: var(--color-primary-bg-gradient);
    border-radius: var(--border-secondary-radius);
    box-shadow: var(--shadow-primary) var(--shadow-primary) var(--shadow-secondary) var(--color-shadows);
}

.bento-contact .lower-col-inner:nth-of-type(2) {
    flex: 8 8 0;
    background: var(--color-primary-bg-gradient);
    border-radius: var(--border-secondary-radius);
    box-shadow: var(--shadow-primary) var(--shadow-primary) var(--shadow-secondary) var(--color-shadows);
}

.bento-contact .lower-col-inner:nth-of-type(2) a {
    width: 100%;
    height: 100%;
    text-decoration: none;
    color: var(--color-primary-text);
}

.bento-contact .lower-col-inner .bi {
    font-size: var(--font-size-h4);
}

@media screen and (max-width: 1199.98px) {

    .bento-contact {
        height: 550px;
    }

    .bento-contact .upper-col:nth-of-type(1) {
        flex: 6 6 0;
    }

    .bento-contact .upper-col:nth-of-type(2) {
        flex: 5 5 0;
    }

    .bento-contact .lower-row .lower-col:nth-of-type(1) {
        flex: 6 6 0;
    }

    .bento-contact .lower-row .lower-col:nth-of-type(2) {
        flex: 5 5 0;
    }

    .bento-contact .lower-col-inner .bi {
        font-size: var(--font-size-h5);
    }
}

@media screen and (max-width: 767.98px) {

    .contact-header {
        padding: 0 var(--space-xs);
        margin-bottom: var(--space-xs);
    }

    .bento-contact {
        width: 100%;
        height: 1100px;
        padding: 0 var(--space-s);
    }

    .bento-contact .upper-row {
        flex: 8 8 0;
    }

    .bento-contact .lower-row {
        flex: 2 2 0;
        flex-direction: column !important;
    }

    .bento-contact .upper-row {
        flex-direction: column !important;
    }
}